@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

sub, sup { 
	font-size: 75%; line-height: 0; position: relative; vertical-align: baseline;
}

sup {
	top: -0.3em; vertical-align: super;
}

sub {
	bottom: -0.25em; vertical-align: sub;
}

.scrollbar::-webkit-scrollbar {
    @apply w-2 h-2
}

.scrollbar::-webkit-scrollbar-track {
	@apply bg-cyan-200 rounded-md
}

.scrollbar::-webkit-scrollbar-thumb {
	@apply bg-primary rounded-md border-2 border-solid border-cyan-200
}

.scrollbar::-webkit-scrollbar-thumb:hover {
    @apply bg-cyan-600
}

.default-input {
	@apply border border-secondary rounded-lg focus:outline-none focus:ring-primary focus:ring-1 focus:border-primary focus:shadow-md
}

.default-input-checkbox {
	@apply rounded checked:text-primary focus:outline-none focus:ring focus:ring-primary/50 focus:ring-offset-0
}

.default-input-checkbox-rounded {
	@apply rounded-lg checked:text-primary focus:outline-none focus:ring-primary focus:ring-1 focus:border-primary
}

.navbar-fixed {
	@apply fixed z-10 bg-white/70 shadow-sm shadow-cyan-200;
}

.hamburger-line {
	@apply w-[30px] h-[2px] my-2 block bg-dark
}

.hamburger-active > span:nth-child(1) {
	@apply rotate-45
}

.hamburger-active > span:nth-child(2) {
	@apply scale-0
}

.hamburger-active > span:nth-child(3) {
	@apply -rotate-45
}